<?php

class i_scalar_2_5_13_upgrade extends i_action_upgrade
{
public function step1_init() {}
public function step1_process()
{
	

$this->extract("main");

$this->rm("scalar-2.5.13/system/application/config");  // Remove config folder
$this->rm("scalar-2.5.13/system/application/language");  // Remove language folder
$this->rm("scalar-2.5.13/.htaccess");  // Remove .htaccess
$this->mv("scalar-2.5.13/*");  // Copy everything else over
$this->rm("scalar-2.5.13");  // Remove the folder

$this->db_query("CREATE TABLE IF NOT EXISTS scalar_db_rel_grouped (parent_version_id int(10) unsigned DEFAULT '0', contents TEXT NOT NULL, KEY parent (parent_version_id)) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;");
$this->db_query("ALTER TABLE scalar_db_users ADD COLUMN previous_passwords TEXT DEFAULT NULL AFTER is_super;");

$str = $this->read("system/application/config/local_settings.php");
$str = str_replace('//EOF','// To enable two-factor authentication (using the Google Authenticator), enter a salt string here'."\n".'// The string needs to be a \'base32\' string \'without equals signs at the end\' or the QR barcode will not work'."\n".'$config[\'google_authenticator_salt\'] = \'\';'."\n\n".'// Enable stronger-password verification (min 16 characters, can\'t use previous passwords)'."\n".'$config[\'strong_password\'] = false;'."\n\n".'// If \'strong_password\' is enabled, number of days until the user is requested to reset their password (e.g., 60)'."\n".'$config[\'strong_password_days_to_reset\'] = 60;'."\n\n".'//EOF', $str);
$this->write("system/application/config/local_settings.php", $str);


}
}

?>